﻿using System.Net;
using JoeScan.JCamNet;
using System;


namespace Examples
{
    class Program
    {
        static void Main(string[] args)
        {
            short[] cableIds = new short[] { 0, 1 };
            IPAddress baseIpAddress = new IPAddress(new byte[] { 192, 168, 1, 150 });
            foreach (var cableId in cableIds)
            {
                Scanner s = null;
                try
                {
                    s = Scanner.Connect(baseIpAddress, cableId);
                    Console.WriteLine("Connected to Scanner! Serial #: {0}", s.SerialNumber);
                }
                catch (Exception e)
                {
                    Console.WriteLine("Failed to connect to scanner: {0}, Reason: {1}",
                        baseIpAddress.ToString(),
                        e.Message);
                }
            }
        }
    }
}
