﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Net;
using System.Text;
using System.Windows.Forms;
using JoeScan.JCamNet;

namespace Examples
{
    public partial class Form1 : Form
    {
        private Scanner scanner = null;

        public Form1()
        {
            InitializeComponent();
            scanner = Scanner.Connect(new IPAddress(new byte[] { 192, 168, 1, 150 }));
            Timer liveUpdateTimer = new Timer { Interval = 1000 };
            liveUpdateTimer.Tick += (o, args) => { pictureBox.Image = scanner.GetImage().GetBitmap(); };
            liveUpdateTimer.Start();
        }
    }
}
